Bug 1508110 (CVE-2016-5002) - CVE-2016-5002 xmlrpc: XML external entity vulnerability SSRF via a crafted DTD
Summary: CVE-2016-5002 xmlrpc: XML external entity vulnerability SSRF via a crafted DTD
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5002
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1508111 1577799
Blocks: 1508328
TreeView+ depends on / blocked
 
Reported: 2017-10-31 20:26 UTC by Pedro Sampaio
Modified: 2020-12-15 15:28 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:30:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3768 0 None None None 2018-12-04 16:00:56 UTC

Description Pedro Sampaio 2017-10-31 20:26:22 UTC
XML external entity (XXE) vulnerability in the Apache XML-RPC (aka ws-xmlrpc) library 3.1.3, as used in Apache Archiva, allows remote attackers to conduct server-side request forgery (SSRF) attacks via a crafted DTD.

References:

http://www.openwall.com/lists/oss-security/2016/07/12/5
https://0ang3el.blogspot.in/2016/07/beware-of-ws-xmlrpc-library-in-your.html

Comment 1 Pedro Sampaio 2017-10-31 20:26:51 UTC
Created xmlrpc tracking bugs for this issue:

Affects: fedora-all [bug 1508111]

Comment 5 errata-xmlrpc 2018-12-04 16:00:39 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.2

Via RHSA-2018:3768 https://access.redhat.com/errata/RHSA-2018:3768


Note You need to log in before you can comment on or make changes to this bug.